Package org.eclipse.rdf4j.query.parser.sparql

## Class AbstractASTVisitor

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.sparql.AbstractASTVisitor

- All Implemented Interfaces:
    `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
  Direct Known Subclasses:
    `ASTVisitorBase`, `BlankNodeVarProcessor`, `TupleExprBuilder`, `WildcardProjectionProcessor`

      public abstract class AbstractASTVisitor
      extends Object
      implements org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor

  Base class for visitors of the SPARQL AST.
  Author:
    arjohn

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractASTVisitor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTAbs node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTAdd node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTAnd node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTAskQuery node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTAvg node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBaseDecl node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBasicGraphPattern node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBindingsClause node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBindingSet node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBindingValue node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBind node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBlankNodePropertyList node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBlankNode node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBNodeFunc node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBound node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTCeil node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTClear node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTCoalesce node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTCollection node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTCompare node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTConcat node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTConstraint node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTConstructQuery node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTConstruct node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTConstTripleRef node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTContains node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTCopy node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTCount node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTCreate node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDatasetClause node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDatatype node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDay node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDeleteClause node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDeleteData node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDeleteWhere node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDescribeQuery node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDescribe node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDrop node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTEncodeForURI node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTExistsFunc node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTFalse node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTFloor node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTFunctionCall node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTGraphGraphPattern node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTGraphOrDefault node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTGraphPatternGroup node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTGraphRefAll node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTGroupClause node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTGroupConcat node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTGroupCondition node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTHavingClause node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTHours node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTIf node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTInfix node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTInlineData node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTIn node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTInsertClause node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTInsertData node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTIRIFunc node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTIRI node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTIsBlank node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTIsIRI node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTIsLiteral node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTIsNumeric node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTLangMatches node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTLang node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTLimit node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTLoad node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTLowerCase node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTMath node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTMax node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTMD5 node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTMin node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTMinusGraphPattern node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTMinutes node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTModify node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTMonth node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTMove node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTNotExistsFunc node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTNotIn node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTNot node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTNow node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTNumericLiteral node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTObjectList node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTOffset node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTOptionalGraphPattern node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTOrderClause node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTOrderCondition node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTOr node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTPathAlternative node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTPathElt node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTPathMod node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTPathOneInPropertySet node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTPathSequence node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTPrefixDecl node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTProjectionElem node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTPropertyListPath node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTPropertyList node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTQName node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTQuadsNotTriples node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTQueryContainer node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTRand node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTRDFLiteral node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTRegexExpression node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTReplace node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTRound node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSameTerm node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSample node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSeconds node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSelectQuery node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSelect node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTServiceGraphPattern node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSHA1 node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSHA224 node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSHA256 node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSHA384 node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSHA512 node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTStrAfter node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTStrBefore node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTStrDt node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTStrEnds node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTString node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTStrLang node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTStrLen node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTStr node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTStrStarts node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSTRUUID node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSubstr node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSum node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTTimezone node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTTripleRef node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTTriplesSameSubjectPath node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTTriplesSameSubject node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTTrue node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTTz node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTUnionGraphPattern node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTUnparsedQuadDataBlock node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTUpdateContainer node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTUpdate node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTUpdateSequence node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTUpperCase node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTUUID node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTVar node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTWhereClause node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTYear node, Object data)` |
    `Object` | `visit​(org.eclipse.rdf4j.query.parser.sparql.ast.SimpleNode node, Object data)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractASTVisitor

          public AbstractASTVisitor()

  - ### Method Detail

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTAbs node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTUpdateSequence node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBindingValue node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTInlineData node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTUnparsedQuadDataBlock node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTUpdateContainer node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTAdd node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBindingSet node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTClear node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTCopy node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTCreate node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDeleteClause node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDeleteData node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDeleteWhere node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDrop node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTGraphOrDefault node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTGraphRefAll node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTInfix node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTInsertClause node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTInsertData node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTLoad node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTModify node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTMove node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTNow node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTYear node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTMonth node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDay node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTHours node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTTz node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTMinutes node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSeconds node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTTimezone node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTAnd node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTAskQuery node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTAvg node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTMD5 node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSHA1 node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSHA224 node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSHA256 node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSHA384 node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSHA512 node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBaseDecl node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBasicGraphPattern node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBind node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBindingsClause node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBlankNode node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBlankNodePropertyList node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBNodeFunc node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTBound node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTCeil node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTCoalesce node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTConcat node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTContains node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTCollection node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTCompare node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTConstraint node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTConstruct node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTConstructQuery node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTCount node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDatasetClause node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDatatype node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDescribe node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTDescribeQuery node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTExistsFunc node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTEncodeForURI node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTFalse node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTFloor node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTFunctionCall node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTGraphGraphPattern node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTGraphPatternGroup node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTGroupClause node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTGroupConcat node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTGroupCondition node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTHavingClause node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTIf node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTIn node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTIRI node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTIRIFunc node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTIsBlank node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTIsIRI node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTIsLiteral node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTIsNumeric node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTLang node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTLangMatches node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTLimit node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTLowerCase node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTMath node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTMax node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTMin node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTMinusGraphPattern node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTNot node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTNotExistsFunc node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTNotIn node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTNumericLiteral node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTObjectList node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTOffset node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTOptionalGraphPattern node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTOr node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTOrderClause node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTOrderCondition node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTPathAlternative node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTPathElt node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTPathMod node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTPathOneInPropertySet node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTPathSequence node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTPrefixDecl node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTProjectionElem node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTPropertyList node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTPropertyListPath node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTQName node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTQueryContainer node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTRand node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTRDFLiteral node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTRegexExpression node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTReplace node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTRound node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSameTerm node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSample node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSelect node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSelectQuery node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTServiceGraphPattern node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTStr node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTStrAfter node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTStrBefore node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTStrDt node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTStrEnds node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTString node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTUUID node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSTRUUID node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTStrLang node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTStrLen node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTStrStarts node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSubstr node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTSum node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTTriplesSameSubject node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTTriplesSameSubjectPath node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTQuadsNotTriples node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTTrue node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTUnionGraphPattern node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTUpdate node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTUpperCase node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTVar node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTWhereClause node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.SimpleNode node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTTripleRef node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`

    - #### visit

          public Object visit​(org.eclipse.rdf4j.query.parser.sparql.ast.ASTConstTripleRef node,
                              Object data)
                       throws org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException

      Specified by:
        `visit` in interface `org.eclipse.rdf4j.query.parser.sparql.ast.SyntaxTreeBuilderVisitor`
      Throws:
        `org.eclipse.rdf4j.query.parser.sparql.ast.VisitorException`